import React from "react";
import { Room, IEventRelation } from "matrix-js-sdk/src/matrix";
import { RoomUpload } from "../../models/RoomUpload";
interface IProps {
    room: Room;
    relation?: IEventRelation;
}
interface IState {
    currentFile?: string;
    currentUpload?: RoomUpload;
    currentLoaded?: number;
    currentTotal?: number;
    countFiles: number;
}
export default class UploadBar extends React.PureComponent<IProps, IState> {
    private dispatcherRef;
    private mounted;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private getUploadsInRoom;
    private calculateState;
    private onAction;
    private onCancelClick;
    render(): React.ReactNode;
}
export {};
